## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-comm
Version:        0.2.2
Release:        %autorelease
Summary:        Jupyter Python Comm implementation, for usage in ipykernel, xeus-python etc.
License:        BSD-3-Clause
URL:            https://github.com/ipython/comm
Source:         %{url}/archive/v%{version}/comm-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Comm provides a way to register a Kernel Comm implementation,
as per the Jupyter kernel protocol. It also provides a base Comm
implementation and a default CommManager that can be used.}


%description %_description

%package -n     python3-comm
Summary:        %{summary}

%description -n python3-comm %_description


%prep
%autosetup -p1 -n comm-%{version}


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files comm


%check
%pytest


%files -n python3-comm -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.2-2
- Rebuilt for Python 3.13

* Wed Mar 13 2024 Lumir Balhar <lbalhar@redhat.com> - 0.2.2-1
- Update to 0.2.2 (rhbz#2269225)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Lumir Balhar <lbalhar@redhat.com> - 0.2.1-1
- Update to 0.2.1 (rhbz#2256468)

* Tue Nov 07 2023 Lumir Balhar <lbalhar@redhat.com> - 0.2.0-1
- Update to 0.2.0 (rhbz#2248151)

* Fri Aug 11 2023 Lumir Balhar <lbalhar@redhat.com> - 0.1.4-1
- Initial import (fedora#2228788).
## END: Generated by rpmautospec
